public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-misc/fx/
@ 2025-01-21 18:40 Arthur Zamarin
  0 siblings, 0 replies; only message in thread
From: Arthur Zamarin @ 2025-01-21 18:40 UTC (permalink / raw
  To: gentoo-commits

commit:     13c4670a5b29dbf877577c5964a485faad17fd3b
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 21 18:36:47 2025 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 21 18:40:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13c4670a

app-misc/fx: new package, add 35.0.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-misc/fx/Manifest         |  2 ++
 app-misc/fx/fx-35.0.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 app-misc/fx/metadata.xml     | 11 +++++++++++
 3 files changed, 50 insertions(+)

diff --git a/app-misc/fx/Manifest b/app-misc/fx/Manifest
new file mode 100644
index 000000000000..b9fa0b972bd1
--- /dev/null
+++ b/app-misc/fx/Manifest
@@ -0,0 +1,2 @@
+DIST fx-35.0.0-deps.tar.xz 14566724 BLAKE2B e1104d78516adcb9346a9a5e12ae6f0289ed08a0476b4a605254301b6a4d47d7b46915fd65dc54f538a388c5c2694027b09af90e0f465f6a5ff84e23a36e7ed7 SHA512 0474627801dbe5de029addc3562827fdc45434dedc8ca33555dfebac9465c315fc3626d600da04362f0fa900132dbb107404b72cdcf4840273a52231f94de4c5
+DIST fx-35.0.0.tar.gz 2666576 BLAKE2B ac2c6b928b04cef596837acbc76df5a835c004b8e726b8f3b9e78e8e4f5e2528f7091a517731d87c51323c67db55f25b118f2870ed57496ed31daf02c066eccf SHA512 3870b52a9b74494369c837041ce3f5dbe668159d5a823fcc4977a3bd348ca54510d346a2c3f78a47fbd6b7999820d819e47e55848da83482bb8f32c8a3ebaf81

diff --git a/app-misc/fx/fx-35.0.0.ebuild b/app-misc/fx/fx-35.0.0.ebuild
new file mode 100644
index 000000000000..7c36260ceb59
--- /dev/null
+++ b/app-misc/fx/fx-35.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module shell-completion
+
+DESCRIPTION=" Terminal JSON viewer & processor"
+HOMEPAGE="https://fx.wtf/ https://github.com/antonmedv/fx"
+SRC_URI="https://github.com/antonmedv/fx/archive/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~arthurzam/distfiles/app-misc/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+	ego build -o fx .
+
+	mkdir "${T}/comp"
+	./fx --comp bash > "${T}/comp/fx" || die
+	./fx --comp zsh > "${T}/comp/_fx" || die
+	./fx --comp fish > "${T}/comp/fx.fish" || die
+}
+
+src_test() {
+	ego test ./...
+}
+
+src_install() {
+	dobin fx
+	dodoc README.md
+
+	dobashcomp "${T}/comp/fx"
+	dozshcomp "${T}/comp/_fx"
+	dofishcomp "${T}/comp/fx.fish"
+}

diff --git a/app-misc/fx/metadata.xml b/app-misc/fx/metadata.xml
new file mode 100644
index 000000000000..29afbd37a5af
--- /dev/null
+++ b/app-misc/fx/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>arthurzam@gentoo.org</email>
+		<name>Arthur Zamarin</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">antonmedv/fx</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2025-01-21 18:40 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-01-21 18:40 [gentoo-commits] repo/gentoo:master commit in: app-misc/fx/ Arthur Zamarin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox